/*
 * This file is part of VICE, the Versatile Commodore Emulator.
 * See README for copyright notice.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307  USA.
 *
 */

//#include <keyboard.h>
//#include <resources.h>
#include <joyport/joyport.h>
//#include <joyport/joystick.h>

#include "log.h"

volatile int set_joy1;
volatile int set_joy2;
volatile unsigned char joy1_state;
volatile unsigned char joy2_state;


int joystick_arch_init_resources(void) {
    return 0;
}

//int joy_arch_resources_init(void) {
//    return 0;
//}

int joystick_arch_cmdline_options_init(void) {
    return 0;
}

//int joy_arch_cmdline_options_init(void) {
//    return 0;
//}

//int joy_arch_set_device(int port_idx, int new_dev) {
//    return 0;
//}

int joy_arch_init(void) {
    //log_message(LOG_DEFAULT, "joy_arch_init");
    //resources_register_int(joy1_resources_int);
    //resources_register_int(joy2_resources_int);
    //resources_register_int(joy1_resources_int);

    //joyport_resources_init(0, 2);
    //joyport_register(JOYPORT_ID_JOY1, &joystick1);
    //joyport_register(JOYPORT_ID_JOY2, &joystick2);

    return 0;
}

void joystick_close(void) {
}

void joystick_update() {
    if(set_joy1) {
        set_joy1=0;
        //joystick_value[1]=joy1_state;
        //log_message(LOG_DEFAULT, "joystick set 1 %x", joy1_state);
        joystick_set_value_absolute(1, joy1_state);

    }
    if(set_joy2) {
        set_joy2=0;
        //joystick_value[2]=joy2_state;
        //log_message(LOG_DEFAULT, "joystick set 2 %x", joy2_state);
        joystick_set_value_absolute(2, joy2_state);
    }
}
