/*
 *
 * This file is part of VICE, the Versatile Commodore Emulator.
 * See README for copyright notice.
 *
 *  This program is free software{} you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation{} either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY{} without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program{} if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307  USA.
 *
 */

#include <android/log.h>

#include "vice.h"

#include "types.h"
#include "imagecontents.h"

#include "cmdline.h"
#include "uicmdline.h"

void ui_display_speed(float percent, float framerate, int warp_flag){}
void ui_display_paused(int flag){}
void ui_dispatch_events(void){}
void ui_exit(void){}
void ui_show_text(const char *title, const char *text, int width, int height){}

void ui_autorepeat_on(void) {

}

void ui_autorepeat_off(void) {

}

void ui_pause_emulation(int flag) {

}

int ui_emulation_is_paused(void) {
    return 0;
}

void ui_check_mouse_cursor(void){}
void ui_restore_mouse(void){}

int ui_focus_monitor(void) {
    return 0;
}

void ui_restore_focus(void){}

void archdep_ui_init(int argc, char *argv[]) {
}

void ui_set_application_icon(const char *icon_data[]){}
void ui_set_selected_file(int num){}

void ui_destroy_drive_menu(int drnr){}

void ui_common_init(void){}
void ui_common_shutdown(void){}

void ui_error(const char *format, ...) {
    va_list ap;

    va_start(ap, format);
    __android_log_vprint(ANDROID_LOG_DEBUG, "ui_error", format, ap);
    va_end(ap);
}

void ui_cmdline_show_help(unsigned int num_options, cmdline_option_ram_t *options, void *userparam) {}

void uicolor_free_color(unsigned int red, unsigned int green, unsigned int blue, unsigned long color_pixel){}

int uicolor_alloc_color(unsigned int red, unsigned int green, unsigned int blue, unsigned long *color_pixel, BYTE *pixel_return) {
    return 0;
}

void uicolor_convert_color_table(unsigned int colnr, BYTE *data, long color_pixel, void *c){}

